Package org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDORevisionCache

- All Superinterfaces:
    `CDOAllRevisionsProvider`, `CDORevisionCache`, `CDORevisionCacheAdder`, `CDORevisionInterner`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`

      public interface InternalCDORevisionCache
      extends CDORevisionCache, CDORevisionInterner, CDOAllRevisionsProvider, org.eclipse.net4j.util.lifecycle.ILifecycle

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionCache

      `CDORevisionCache.AdditionEvent, CDORevisionCache.EvictionEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionCache

      `NOOP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `getAllRevisions​(java.util.List<InternalCDORevision> result)` | Fills a list with all `revisions`.
    `java.util.List<CDORevision>` | `getRevisions​(CDOBranchPoint branchPoint)` |
    `InternalCDORevisionCache` | `instantiate​(CDORevision revision)` |
    `CDORevision` | `removeRevision​(CDOID id, CDOBranchVersion branchVersion)` |
    `void` | `removeRevisions​(CDOBranch... branches)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOAllRevisionsProvider

      `getAllRevisions`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionCache

      `addRevision, forEachCurrentRevision, forEachRevision, forEachValidRevision, getCurrentRevisions, getObjectType, getRevision, getRevisionByVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionInterner

      `internRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### instantiate

          InternalCDORevisionCache instantiate​(CDORevision revision)

    - #### removeRevision

          CDORevision removeRevision​(CDOID id,
                                     CDOBranchVersion branchVersion)

    - #### removeRevisions

          void removeRevisions​(CDOBranch... branches)

      Since:
        4.15

    - #### clear

          void clear()

    - #### getRevisions

          java.util.List<CDORevision> getRevisions​(CDOBranchPoint branchPoint)

    - #### getAllRevisions

          void getAllRevisions​(java.util.List<InternalCDORevision> result)

      Fills a list with all `revisions`.
      Since:
        4.3
      See Also:
        `CDOAllRevisionsProvider.getAllRevisions()`